IF NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[pub_sql]') AND type = 'U')
CREATE TABLE [dbo].[pub_sql]
(
    [sql_server] varchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [sql_name] varchar(100) COLLATE Chinese_PRC_CI_AS NOT NULL DEFAULT(''),
    [sql_type] nvarchar(100) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_text] nvarchar(4000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_note] nvarchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_sourcetables] varchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_targettables] varchar(200) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_params] varchar(2000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sql_keyparam] varchar(30) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    [sqL_fields] nvarchar(4000) COLLATE Chinese_PRC_CI_AS NULL DEFAULT(''),
    CONSTRAINT [PK_PUB_SQL] PRIMARY KEY ([sql_server] ASC)
    CONSTRAINT [PK_PUB_SQL] PRIMARY KEY ([sql_name] ASC)
)